Change log for gmic package in Ubuntu

141 of 41 results
Published in disco-release on 2018-11-12
Deleted in disco-proposed (Reason: moved to release)
gmic (2.4.1-3) unstable; urgency=medium

  [ Pino Toscano ]
  * [684a080] Change builddir of gmic-qt to build-gmic-qt.
    Change the build directory of gmic-qt from a subdirectory of the sources
    to a top-level directory; this will help debhelper in cleaning the build
    directory, as it can just wipe it.
  * [b3bdb48] Use debhelper to build & clean everything.
    Pass the proper combinations of source & build directories: this has few
    advantages:
    - all the proper flags for cmake/qmake are passed, no need to manually
      take care of them
    - CFLAGS/CXXFLAGS/etc are handled too
    - the parallel option of debhelper is respected too
    Also switch to dh_auto_clean for proper clean handling.
  * [c6868df] Move common gmic-qt build flags to a variable
  * [03f988c] Disable static build of libgmic.
    It is not installed, so do not waste time building it.
  * [31a1738] Change build directory to build-gmic.
    Use a fixed name for it, so it will be possible in the future to use
    artifacts in it in a simpler way.
  * [3c0b61d] Link all binaries dynamically.
    Switch the build of all the binaries to dynamically link to libgmic,
    instead of building their own copies of gmic; this drastically reduces
    the build time, and avoids different build configurations for the gmic
    build copies in the binaries.
    Add a patch for zart so it is possible to specify the right path to the
    build gmic libraries.
    As result, tighten the libgmic1 dependencies everywhere.
  * [536b4d6] Explicitly pass GMIC_PATH for zart
  * [770685e] Link in as-needed mode.
    Reduce the overlinking, especially now that all the binaries use the
    shared gmic library.

  [ Bernd Zeimetz ]
  * [9484742] Merge branch 'build-improvements' into 'master'
    Various build improvements
    See merge request debian/gmic!1

  [ Pino Toscano ]
  * [d9a8811] Bump cmake build dependency to 3.12.
    This is what the upstream build system requires, and this version is
    not in stable.
  * [11cb24b] Simplify install files.
    Do not specify the destination in case it is the same as the source.
  * [700f77e] Stop using dh-exec.
    There is no more need for environment variables in install files, so
    stop using dh-exec for some of the install files.
  * [d2e2a0e] Install the cmake config files of libgmic
  * [2eae082] Remove ${shlibs:Depends} from libgmic-dev.
    There are no binaries in libgmic-dev.

  [ Bernd Zeimetz ]
  * [6220b5d] Merge branch 'various-misc-changes' into 'master'
    Various misc changes
    See merge request debian/gmic!2
  * [c03f25d] Don't install CImg.h.
    Thanks to Andreas Beckmann (Closes: #913406)
  * [bbe531a] cmake >= 3.12 is required.

 -- Bernd Zeimetz <email address hidden>  Sun, 11 Nov 2018 17:44:45 +0100
Superseded in disco-proposed on 2018-11-11
gmic (2.4.1-2) unstable; urgency=medium

  * [072ba29] Make d/rules clean work on !amd64.
    The shipped makefile is evil, it assumes to use qt5 for x86_64-linux-gnu
    So ignore errors...

 -- Bernd Zeimetz <email address hidden>  Sat, 10 Nov 2018 00:16:43 +0100

Available diffs

Superseded in disco-proposed on 2018-11-10
gmic (2.4.1-1) unstable; urgency=medium

  * [303ef79] Update upstream source from tag 'upstream/2.4.1'
    Update to upstream version '2.4.1'
    with Debian dir a03d4170249136feef23de4800ae2d5ff63d87fe
    - Uses https now, Closes: #907056
    - URLs are stable now and don't use sourceforge
      Closes: #798793
    - New upload Closes: #898003
  * [4b41660] Add cmake
  * [496f75a] Use dh only - for cmake.
  * [8b4b670] snapshot changelog
  * [bd00bcb] Removing patches, not needed anymore.
  * [e7c5ea3] Add libgraphicsmagick++1-dev as dependency
  * [7fdf4c9] try more stuff
  * [7a028ab] Use -DCMAKE_BUILD_TYPE=Release - None breaks build :(
  * [82a02ba] Also build zart
  * [223da88] Add more build stuff to debian/rules
  * [377beb8] dh misses some features..
  * [c876dd9] Update compat, remove .fr manpage
  * [340bee2] zart needs qmake
  * [e3f7490] Updating git urls
  * [74cfea8] Add gitlab ci config
  * [4f58671] cmake installs to multiarch directory
    fix .install files.
  * [3b24a37] Use *.deb as artifact.
  * [d084b43] Revert "Use *.deb as artifact."
    This reverts commit 3b24a37bdc0a96b17e3089f2a540d1292b0d74ac.
    ... we use aptly...
  * [e8d0bdc] Build with qt5 instead of qt4. (Closes: #874889)
  * [8836ea2] Add qttools5-dev-tools as build-dep
  * [b253c15] Add qttools5-dev as build-dep
  * [0afba41] Add qt5-default as build-dep.
  * [74907be] Use qtchooser.
  * [f8f15ac] Bump debhelper compat
  * [7e189e6] There are no autopkgtests.

 -- Bernd Zeimetz <email address hidden>  Wed, 07 Nov 2018 23:15:09 +0100
Superseded in disco-release on 2018-11-12
Published in cosmic-release on 2018-07-06
Deleted in cosmic-proposed (Reason: moved to release)
gmic (1.7.9+zart-4.1build1) cosmic; urgency=medium

  * No-change rebuild against latest openexr

 -- Jeremy Bicha <email address hidden>  Fri, 11 May 2018 14:08:09 -0400
Superseded in cosmic-release on 2018-07-06
Deleted in cosmic-proposed on 2018-07-08 (Reason: moved to release)
gmic (1.7.9+zart-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * [16ec2e67] debian/: fix bash-completion issue (Closes: #892123)
  * [fd6d175e] debian/gmic.mainscript: drop old bash_completion path
  * [a75f8f0e] debian/*.install: fix permissions
  * [11224b66] debian/: debhelper bump 9 -> 11

 -- Matteo F. Vescovi <email address hidden>  Sun, 18 Mar 2018 15:21:41 +0100
Superseded in cosmic-release on 2018-05-05
Published in bionic-release on 2018-03-07
Deleted in bionic-proposed (Reason: moved to release)
gmic (1.7.9+zart-4build3) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <email address hidden>  Wed, 28 Feb 2018 06:53:55 +0000
Superseded in bionic-release on 2018-03-07
Deleted in bionic-proposed on 2018-03-08 (Reason: moved to release)
gmic (1.7.9+zart-4build2) bionic; urgency=medium

  * No-change rebuild against OpenCV 3.2.

 -- Mattia Rizzolo <email address hidden>  Sun, 29 Oct 2017 12:48:40 +0100
Superseded in bionic-release on 2017-10-31
Published in artful-release on 2017-06-25
Deleted in artful-proposed (Reason: moved to release)
gmic (1.7.9+zart-4build1) artful; urgency=medium

  * No-change rebuild against OpenCV 3.1.

 -- Mattia Rizzolo <email address hidden>  Tue, 20 Jun 2017 14:04:32 +0200
Superseded in artful-release on 2017-06-25
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
gmic (1.7.9+zart-4) unstable; urgency=medium

  * [3dc818a] rise minimal memory, use -O0 on mips.

 -- Bernd Zeimetz <email address hidden>  Fri, 16 Dec 2016 21:00:17 +0100

Available diffs

Superseded in zesty-release on 2016-12-17
Deleted in zesty-proposed on 2016-12-18 (Reason: moved to release)
gmic (1.7.9+zart-3) unstable; urgency=medium

  * [86a3cfa] Ensure we disable optimization on slow arches
    - and on those with small amounts of memory.

 -- Bernd Zeimetz <email address hidden>  Fri, 16 Dec 2016 01:05:06 +0100

Available diffs

Superseded in zesty-release on 2016-12-16
Deleted in zesty-proposed on 2016-12-17 (Reason: moved to release)
gmic (1.7.9+zart-2) unstable; urgency=medium

  * [c754567] Build-depend on bash-completion.
    Quick fix for FTBFS where /etc/bash_completion.d only exists on a few
    buildds.
    Thanks to Adrian Bunk (Closes: #848185)

 -- Bernd Zeimetz <email address hidden>  Thu, 15 Dec 2016 00:51:47 +0100

Available diffs

Superseded in zesty-release on 2016-12-15
Deleted in zesty-proposed on 2016-12-16 (Reason: moved to release)
gmic (1.7.9+zart-1) unstable; urgency=medium

  * [38a82aa] Fix build options
  * [2ccfb41] Merge tag 'upstream/1.7.9'
    Upstream version 1.7.9
  * [dbfb447] Refreshing patches
  * [b2ffc73] Support opencv 3.1.
    Thanks to Nobuhiro Iwamatsu (Closes: #841246)
  * [5d940c9] Updating changelog
  * [513bdc7] Merge tag 'upstream/1.7.9+zart'
    Upstream version 1.7.9+zart
  * [4027a04] Add patch to fix gmic location in zart.pro

 -- Bernd Zeimetz <email address hidden>  Sat, 03 Dec 2016 17:50:28 +0100
Superseded in zesty-release on 2016-12-04
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
gmic (1.6.8-3build3) yakkety; urgency=medium

  * Rebuild against libopencv-highgui2.4-deb0.

 -- Gianfranco Costamagna <email address hidden>  Mon, 27 Jun 2016 21:14:35 +0200

Available diffs

Superseded in yakkety-release on 2016-07-04
Deleted in yakkety-proposed on 2016-07-05 (Reason: moved to release)
gmic (1.6.8-3build2) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <email address hidden>  Sat, 23 Apr 2016 07:26:54 +0000

Available diffs

Superseded in yakkety-release on 2016-04-23
Deleted in yakkety-proposed on 2016-04-24 (Reason: moved to release)
gmic (1.6.8-3build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <email address hidden>  Fri, 22 Apr 2016 23:50:39 +0000
Superseded in yakkety-release on 2016-04-23
Published in xenial-release on 2016-01-17
Deleted in xenial-proposed (Reason: moved to release)
gmic (1.6.8-3) unstable; urgency=medium

  * [0e17dac] Add hardening flags.

 -- Bernd Zeimetz <email address hidden>  Sat, 16 Jan 2016 17:12:03 +0100
Superseded in xenial-proposed on 2016-01-16
gmic (1.6.8-1) unstable; urgency=medium

  * [08d10e9] Merge tag 'upstream/1.6.8'
    Upstream version 1.6.8
  * [0cee604] Refreshing patches.

 -- Bernd Zeimetz <email address hidden>  Wed, 06 Jan 2016 20:42:40 +0100

Available diffs

Superseded in xenial-proposed on 2016-01-07
gmic (1.6.7-1) unstable; urgency=medium

  * [2dd1114] Merge tag 'upstream/1.6.5.1'
    Upstream version 1.6.5.1
    Closes: #794877
  * [e0668cb] Refreshing patches.
  * [87212e9] Updating changelog.
  * [aa8ea31] Using libcurl4-openssl-dev.
  * [7d0fb49] Updating watch file.
  * [8788de5] Merge tag 'upstream/1.6.7'
    Upstream version 1.6.7
  * [b603da3] refreshing patches.
  * [9d0aea8] Use upstream NOSTRIP option.
  * [e1a3182] Install CImg.h as gmic_CImg.h.
    As discussed with upstream we ship gmic's CImg.h as
    gmic_CImg.h as it is usually a pre-release / unfinished
    version, compared to the one released and shipped in
    the cimg-dev package. People who want to use gmic's
    features and link with libglib need the version gmic
    was built with - and building gmic with the released
    version is not possible. (Closes: #801162)
  * [56301b3] Use libopencv-dev instead of hand-picked OpenCV packages.
  * [8b8009f] Fix dh_install for zart.


 -- Bernd Zeimetz <email address hidden>  Sat, 28 Nov 2015 18:22:49 +0100
Superseded in xenial-release on 2016-01-17
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
gmic (1.6.2.0-1build2) wily; urgency=medium

  * No-change rebuild against libopencv-highgui2.4v5

 -- Steve Langasek <email address hidden>  Thu, 13 Aug 2015 03:58:38 +0000
Superseded in wily-proposed on 2015-08-13
gmic (1.6.2.0-1build1) wily; urgency=medium

  * No-change rebuild against libopenexr22.

 -- Martin Pitt <email address hidden>  Thu, 06 Aug 2015 12:28:17 +0200
Superseded in wily-release on 2015-08-17
Deleted in wily-proposed on 2015-08-18 (Reason: moved to release)
gmic (1.6.2.0-1) unstable; urgency=medium

  * [418ea338] Merge tag 'upstream/1.6.2.0'
    Upstream version 1.6.2.0
  * [7044920b] Refreshing patches.
  * [1fde2913] Add libcv/libhighgui-dev as dependency.
  * [6fd0cdcb] Add libcurl-dev

 -- Bernd Zeimetz <email address hidden>  Sun, 19 Apr 2015 14:08:46 +0200

Available diffs

Superseded in wily-release on 2015-05-07
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
gmic (1.6.0.1-1) unstable; urgency=medium


  * [43756de5] Merge tag 'upstream/1.6.0.1'
    Upstream version 1.6.0.1
  * [4a698aee] refreshing patches.

 -- Bernd Zeimetz <email address hidden>  Wed, 22 Oct 2014 23:04:52 +0200

Available diffs

Superseded in vivid-release on 2014-10-24
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-23
Deleted in trusty-proposed (Reason: moved to release)
gmic (1.5.7.1-4) unstable; urgency=low


  * [223f8c2f] Simplyfy optimization setting selection.
    Low memory always results in -O0 now.

 -- Bernd Zeimetz <email address hidden>  Sun, 13 Oct 2013 14:34:39 +0200
Superseded in trusty-release on 2013-10-23
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
gmic (1.5.1.6+dfsg-4build1) raring; urgency=low

  * Rebuild for opencv 2.4
 -- Fabrice Coutadeur <email address hidden>   Tue, 04 Dec 2012 22:14:47 +0100
Superseded in raring-release on 2013-01-10
Obsolete in quantal-release on 2015-04-24
gmic (1.5.1.6+dfsg-4) unstable; urgency=low


  * [4ed5416f] Fix author/copyright information in debian/copyright and zart.1

 -- Bernd Zeimetz <email address hidden>  Wed, 04 Jul 2012 18:43:34 +0200

Available diffs

Superseded in quantal-release on 2012-07-05
gmic (1.5.1.6+dfsg-3) unstable; urgency=low


  * [152547f5] Add missing Breaks/Replaces.

 -- Bernd Zeimetz <email address hidden>  Thu, 28 Jun 2012 19:55:47 +0200

Available diffs

Superseded in quantal-release on 2012-06-29
gmic (1.5.1.6+dfsg-1) unstable; urgency=low


  * [cfe57a54] Merge tag 'upstream/1.5.1.6+dfsg'
    Upstream version 1.5.1.6+dfsg
  * [fbc1e4d2] Refreshing patches.

 -- Bernd Zeimetz <email address hidden>  Fri, 22 Jun 2012 17:03:21 +0200

Available diffs

Superseded in quantal-release on 2012-06-23
gmic (1.5.1.5+dfsg-1) unstable; urgency=low


  * [d3cb2da4] Remove override_dh_clean from .PHONY.
    Some debhelper versions still seem to recognize it as empty target...
  * [982453de] Merge commit 'upstream/1.5.0.9+dfsg'
  * [7c82f405] refreshing patches.
  * [7093fa88] Updating changelog.
  * [f8500c13] Merge tag 'upstream/1.5.1.0+dfsg'
    Upstream version 1.5.1.0+dfsg
  * [1e04612f] Rfreshing patches.
  * [ffd49557] Updating changelog.
  * [54eefb26] Merge tag 'upstream/1.5.1.5+dfsg'
    Upstream version 1.5.1.5+dfsg
  * [317788b2] Updating changelog.
  * [03467dc0] Refreshing patches.
  * [706f87a9] Backup zart/Makefile
  * [95621201] Add build-dependencies, description and install files for zart.
  * [eefe5f9b] Add patch to fix building with ne OpenCV.
  * [bdadee8c] Updating changelog.
  * [ccb14826] Add libopencv-objdetect-dev build-dependency.
  * [6b6322ef] More opencv fixes.
  * [303ff61c] Add libopencv-imgproc-dev as build-dependency.

 -- Bernd Zeimetz <email address hidden>  Thu, 21 Jun 2012 12:23:27 +0200

Available diffs

Superseded in quantal-release on 2012-06-22
Published in precise-release on 2012-02-14
gmic (1.5.0.8+dfsg-1) unstable; urgency=low


  * [b7ddf3a2] Merge commit 'upstream/1.5.0.8+dfsg'
  * [a0dd17c6] Make GMIC build with recent OpenCV versions. (Closes: #652763)
  * [7cb4a04f] Don't use configure, call src/Makefile directly.

 -- Bernd Zeimetz <email address hidden>  Sun, 08 Jan 2012 23:32:01 +0100
Superseded in precise-release on 2012-02-14
gmic (1.5.0.7+dfsg-1) unstable; urgency=low

  * [97e3ecbd] Merge commit 'upstream/1.5.0.7+dfsg'
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  16 Dec 2011 16:26:17 +0000

Available diffs

Superseded in precise-release on 2011-12-16
gmic (1.5.0.5+dfsg-1) unstable; urgency=low

  * [4978288c] Removing Jakub Wilk from Uploaders as requested.
    Thanks for your work Jakub!
  * [b7314e4e] Merge commit 'upstream/1.5.0.5+dfsg'
  * [866550ef] Refactoring debian/rules
  * [fce14609] Bumping Standards-Version, no changes needed.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  10 Nov 2011 16:40:58 +0000
Superseded in precise-release on 2011-11-10
Obsolete in oneiric-release on 2015-04-24
gmic (1.5.0.0+dfsg-1) unstable; urgency=low
  * [20fc4583] Merge commit 'upstream/1.5.0.0+dfsg'  * [ec62b62d] Dropping patch for configure fixes, not necessary anymore.  * [87daddc5] Refreshing patches.  * [833f51b5] Remove lib*magick++*-dev build-deps, not needed anymore.  * [7592f26e] Add libopenexr-dev as build-dependency.  * [5a8d6059] Don't try to install upstream's changelog, not shipped anymore. -- Bernd Zeimetz <email address hidden>  Tue, 26 Jul 2011 15:17:46 +0200
Superseded in oneiric-release on 2011-07-27
Obsolete in natty-release on 2013-06-04
gmic (1.4.8.1+dfsg-2) unstable; urgency=low

  * [24dc0e58] Add patch to fix FTBFS on various architectures.
    Thanks to Hector Oron (Closes: #614273)

Superseded in natty-release on 2011-02-21
gmic (1.3.9.0+dfsg-1ubuntu1) natty; urgency=low

  * fix-graphicsmagick-detection.patch: fix configure file to detect correctly
    GraphicsMagic instead of GraphicsMagick++. This fixes a FTBFS
  * debian/rules: added -lHalf to LDFLAGS
 -- Fabrice Coutadeur <email address hidden>   Tue, 23 Nov 2010 05:20:55 +0000
Superseded in natty-release on 2010-11-23
gmic (1.3.9.0+dfsg-1) unstable; urgency=low

  * [23ccb979] Merge commit 'upstream/1.3.9.0+dfsg'
  * [bef99d90] Install upstream changelog.

Available diffs

Superseded in natty-release on 2010-10-15
Obsolete in maverick-release on 2013-03-05
gmic (1.3.5.7+dfsg-1) unstable; urgency=low

  * [f733c366] Merge commit 'upstream/1.3.5.7+dfsg'
  * [ee1cba19] Refreshing patches.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  24 Jun 2010 17:27:09 +0100

Available diffs

Superseded in maverick-release on 2010-06-24
gmic (1.3.5.4+dfsg-2) unstable; urgency=low

  * [e14a94e2] Rise required amount of RAM to avoid FTBFS on s390.
    (*sigh* - these machines should have neough RAM and swap....)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  08 Jun 2010 09:50:33 +0100

Available diffs

Superseded in maverick-release on 2010-06-08
gmic (1.3.5.4+dfsg-1) unstable; urgency=low

  * [821186d5] Fix dversionmangle in watch file.
  * [8fab3d8a] Merge commit 'upstream/1.3.5.4+dfsg'
    - This icludes a fix for the FTBFS on various archicetures.
      (Closes: #584304)
  * [7550bc35] Refresh patches.
  * [d682b862] Don't gunzip manpages and create directories before make
    install.
  * [6dccd71b] Tidy debian/rules' clean target.
  * [dba56977] Install bash completion
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  07 Jun 2010 23:19:13 +0100

Available diffs

Superseded in maverick-release on 2010-06-08
gmic (1.3.5.1+dfsg2-1) unstable; urgency=low

  * Upstream released a bugfix-release for 1.3.5.1 - unfortunately with the
    same version number.
  * [0e506788] Merge commit 'upstream/1.3.5.1+dfsg2'
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  28 May 2010 11:22:51 +0100

Available diffs

Superseded in maverick-release on 2010-05-28
gmic (1.3.5.1+dfsg-1) unstable; urgency=low

  * [97366020] Use -O0 in case the system we build on has less than 1GB
    RAM.
  * [6aca1038] Merge commit 'upstream/1.3.5.1+dfsg'
  * [fe6b2057] Fix awk call to evaluate the available memory.
  * [6806172f] Updating patches.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  27 May 2010 09:25:11 +0100

Available diffs

Superseded in maverick-release on 2010-05-27
gmic (1.3.5.0+dfsg-1) unstable; urgency=low

  * [4efc6ba8] Add Enhances/Depends on gimp.
  * [1cec005d] Merge commit 'upstream/1.3.5.0+dfsg'
  * [4a1816e8] Don't use pristine-tar on git-import-orig. We need to
    recreate the tarball after removing non-free material.

141 of 41 results